org.apache.jmeter.report.config

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.jmeter.report.config.ConfigurationException

All Implemented Interfaces:
  Serializable

    public class ConfigurationException
    extends Exception

The class ConfigurationException provides an exception when configuration properties loading fails.

Since:
  3.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationException()` Instantiates a new configuration exception.
`ConfigurationException(String message)` Instantiates a new configuration exception.
`ConfigurationException(String message, Throwable cause)` Instantiates a new configuration exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationException

    public ConfigurationException()

Instantiates a new configuration exception.

#### ConfigurationException

    public ConfigurationException(String message)

Instantiates a new configuration exception.

Parameters:
  `message` - the message

#### ConfigurationException

    public ConfigurationException(String message,
                                  Throwable cause)

Instantiates a new configuration exception.

Parameters:
  `message` - the message
  `cause` - the cause